All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Planar To Packed Channel Copy
Image Copy Operations

Combine multiple image planes into a packed multi-channel image. More...

## Functions

NppStatus | nppiCopy_8u_P3C3R_Ctx (const Npp8u *const aSrc[3], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned planar to packed image copy. More...
NppStatus | nppiCopy_8u_P3C3R (const Npp8u *const aSrc[3], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8u_P4C4R_Ctx (const Npp8u *const aSrc[4], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned planar to packed image copy. More...
NppStatus | nppiCopy_8u_P4C4R (const Npp8u *const aSrc[4], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_P3C3R_Ctx (const Npp16u *const aSrc[3], int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned planar to packed image copy. More...
NppStatus | nppiCopy_16u_P3C3R (const Npp16u *const aSrc[3], int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_P4C4R_Ctx (const Npp16u *const aSrc[4], int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned planar to packed image copy. More...
NppStatus | nppiCopy_16u_P4C4R (const Npp16u *const aSrc[4], int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_P3C3R_Ctx (const Npp16s *const aSrc[3], int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed planar to packed image copy. More...
NppStatus | nppiCopy_16s_P3C3R (const Npp16s *const aSrc[3], int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_P4C4R_Ctx (const Npp16s *const aSrc[4], int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed planar to packed image copy. More...
NppStatus | nppiCopy_16s_P4C4R (const Npp16s *const aSrc[4], int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_P3C3R_Ctx (const Npp32s *const aSrc[3], int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 32-bit signed planar to packed image copy. More...
NppStatus | nppiCopy_32s_P3C3R (const Npp32s *const aSrc[3], int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_P4C4R_Ctx (const Npp32s *const aSrc[4], int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit signed planar to packed image copy. More...
NppStatus | nppiCopy_32s_P4C4R (const Npp32s *const aSrc[4], int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_P3C3R_Ctx (const Npp32f *const aSrc[3], int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 32-bit float planar to packed image copy. More...
NppStatus | nppiCopy_32f_P3C3R (const Npp32f *const aSrc[3], int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_P4C4R_Ctx (const Npp32f *const aSrc[4], int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit float planar to packed image copy. More...
NppStatus | nppiCopy_32f_P4C4R (const Npp32f *const aSrc[4], int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

Combine multiple image planes into a packed multi-channel image.

E.g. copy three single-channel images into a single 3-channel image.

### Common parameters for nppiCopy_PXCX functions include:

Parameters

  aSrc | Planar Source-Image Pointer.
  nSrcStep | Source-Planar-Image Pointer Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopy_16s_P3C3R | ( | const Npp16s *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_P3C3R_Ctx | ( | const Npp16s *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_16s_P4C4R | ( | const Npp16s *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_P4C4R_Ctx | ( | const Npp16s *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_16u_P3C3R | ( | const Npp16u *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_P3C3R_Ctx | ( | const Npp16u *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_16u_P4C4R | ( | const Npp16u *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_P4C4R_Ctx | ( | const Npp16u *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_32f_P3C3R | ( | const Npp32f *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_P3C3R_Ctx | ( | const Npp32f *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit float planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_32f_P4C4R | ( | const Npp32f *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_P4C4R_Ctx | ( | const Npp32f *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit float planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_32s_P3C3R | ( | const Npp32s *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_P3C3R_Ctx | ( | const Npp32s *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit signed planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_32s_P4C4R | ( | const Npp32s *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_P4C4R_Ctx | ( | const Npp32s *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit signed planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_8u_P3C3R | ( | const Npp8u *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_P3C3R_Ctx | ( | const Npp8u *const | aSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

NppStatus nppiCopy_8u_P4C4R | ( | const Npp8u *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_P4C4R_Ctx | ( | const Npp8u *const | aSrc[4],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned planar to packed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_PXCX functions.

Copyright © 2009-2019 NVIDIA Corporation